MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005382ATutor- no cat -public2013-10-31 20:262013-12-28 12:49
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2Fixed in Version2.2 
Summary0005382: Cookie switch hides non-admin tools
DescriptionThe cookie jquery.switchfy() switch shuts off non admin tools like New Thread in the forums. Can the cookie, with some ajax, reset the session variable previously used, so only the admin tools hide when the manage switch is clicked.
TagsNo tags attached.
Affects versionSVN
SVN Revision#na
Attached Files

- Relationships

-  Notes
(0006533)
greg (administrator)
2013-11-04 19:56

Cindy, I could use your thoughts on how to best address this problem. The switch script hide the subnavcontainer div, which also hide other tabs that might be in the sub nav but are not instructor tools. Only the instructor tools that have been added to the subnav should be removed when the switch is turned off.
(0006534)
greg (administrator)
2013-11-10 16:12

A new $_pages_i array has been added to module.php for defining tools to appear in the "instructor's course admin bar" (tbd).
(0006620)
greg (administrator)
2013-12-28 12:49

closed for ATutor 2.2

- Issue History
Date Modified Username Field Change
2013-10-31 20:26 greg New Issue
2013-11-04 19:56 greg Note Added: 0006533
2013-11-10 16:12 greg SVN Revision# => na
2013-11-10 16:12 greg Note Added: 0006534
2013-11-10 16:12 greg Status new => resolved
2013-11-10 16:12 greg Fixed in Version => 2.2
2013-11-10 16:12 greg Resolution open => fixed
2013-11-10 16:12 greg Assigned To => greg
2013-12-28 12:49 greg Note Added: 0006620
2013-12-28 12:49 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker